<template>
  <div class="postcard content-window" :class="windowDeco">
    <div id="drag-window" class="drag-window"></div>
    <PostCardCanvasToolbar />
    <div class="minimize-window">
      <img src="../assets/graphics/minimize.svg" />
    </div>
    <div class="close-window">
      <img src="../assets/graphics/close.svg" />
    </div>
    <div class="postcard-input-container">
      <PostCardCanvas />
      <PostCardAddress />
    </div>
  </div>
</template>
<script>
import PostCardCanvas from "../components/PostCardCanvas.vue";
import PostCardCanvasToolbar from "../components/PostCardCanvasToolbar.vue";
import PostCardAddress from "../components/PostCardAddress.vue";
export default {
  components: {
    PostCardCanvas,
    PostCardAddress,
    PostCardCanvasToolbar,
  },
  props: {
    drag: Boolean,
  },
  computed: {
    windowDeco() {
      if (this.drag) {
        return "content-window drag-shadow";
      }

      return "content-window";
    },
  },
};
</script>
